## `operator>>`

Set JSON parse options on input stream.

### Synopsis

Defined in header <boost/json/parse_options.hpp>.

    std::istream&
    operator>>(
        std::istream& is,
        parse_options const& opts);

### Description

The function stores parse options in the private storage of the stream. If the stream fails to allocate necessary private storage, `badbit` will be set on it.

### Complexity

Amortized constant (due to potential memory allocation by the stream).

### Exception Safety

Strong guarantee. The stream may throw as configured by `std::ios::exceptions`.

### Return Value

Reference to `is`.

### Parameters

Name | Description
--- | ---
`is` | The input stream.
`opts` | The options to store.

Convenience header <boost/json.hpp>

Edit this page